Share via


Managed Instance Administrators - Create Or Update

Creates or updates a managed instance administrator.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/administrators/ActiveDirectory?api-version=2025-01-01

URI Parameters

Name In Required Type Description
administratorName
path True

AdministratorName

managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.administratorType True

ManagedInstanceAdministratorType

Type of the managed instance administrator.

properties.login True

string

Login name of the managed instance administrator.

properties.sid True

string (uuid)

SID (object ID) of the managed instance administrator.

properties.tenantId

string (uuid)

Tenant ID of the managed instance administrator.

Responses

Name Type Description
200 OK

ManagedInstanceAdministrator

Resource 'ManagedInstanceAdministrator' update operation succeeded

201 Created

ManagedInstanceAdministrator

Resource 'ManagedInstanceAdministrator' create operation succeeded

Headers

  • Location: string
  • Retry-After: integer
202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create administrator of managed instance
Update administrator of managed instance

Create administrator of managed instance

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory?api-version=2025-01-01

{
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}

Sample response

{
  "name": "ActiveDirectory",
  "type": "Microsoft.Sql/managedInstances/administrators",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}
{
  "name": "ActiveDirectory",
  "type": "Microsoft.Sql/managedInstances/administrators",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}

Update administrator of managed instance

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory?api-version=2025-01-01

{
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}

Sample response

{
  "name": "ActiveDirectory",
  "type": "Microsoft.Sql/managedInstances/administrators",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}
{
  "name": "ActiveDirectory",
  "type": "Microsoft.Sql/managedInstances/administrators",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/administrators/ActiveDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "44444444-3333-2222-1111-000000000000",
    "tenantId": "55555555-4444-3333-2222-111111111111"
  }
}

Definitions

Name Description
AdministratorName
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstanceAdministrator

An Azure SQL managed instance administrator.

ManagedInstanceAdministratorType

Type of the managed instance administrator.

systemData

Metadata pertaining to creation and last modification of the resource.

AdministratorName

Value Description
ActiveDirectory

ActiveDirectory

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstanceAdministrator

An Azure SQL managed instance administrator.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.administratorType

ManagedInstanceAdministratorType

Type of the managed instance administrator.

properties.login

string

Login name of the managed instance administrator.

properties.sid

string (uuid)

SID (object ID) of the managed instance administrator.

properties.tenantId

string (uuid)

Tenant ID of the managed instance administrator.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstanceAdministratorType

Type of the managed instance administrator.

Value Description
ActiveDirectory

ActiveDirectory

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.